<?php 

define('MYSQL_HOST',     'your_db_host');
define('MYSQL_USER',     'your_db_user');
define('MYSQL_PASSWORD', 'your_db_password');
define('MYSQL_DB',       'your_db_name');
define('TABLE_PREFIX',   'your_table_prefix');
 
try
{
    $dbh = new PDO('mysql:host='.MYSQL_HOST.';dbname='.MYSQL_DB, MYSQL_USER, MYSQL_PASSWORD);
 
    $dbh->setAttribute(PDO::ATTR_ERRMODE, PDO::ERRMODE_EXCEPTION);
    $dbh->setAttribute(PDO::ATTR_PERSISTENT, true);
    $dbh->setAttribute(PDO::ATTR_EMULATE_PREPARES, true);
    $dbh->setAttribute(PDO::MYSQL_ATTR_USE_BUFFERED_QUERY, true);
    $dbh->setAttribute(PDO::MYSQL_ATTR_USE_BUFFERED_QUERY, 1);
}
catch (PDOException $e)
{
    print "Error!: " . $e->getMessage();
    die;
}
 
define('FB_APIKEY', 'YOUR_API_KEY');
define('FB_SECRET', 'YOUR_APP_SECRET');
define('CANVAS_URL', 'YOUR_CANVAS_URL'); // the canvas url you entered when you created the app.. don't forget the question mark (?)
 
require_once('facebook-platform/php/facebook.php');

session_start();

?>