<?php 

	require_once('config.php');
 
    if (isset($_GET['session']) && isset($_GET['user'])) // you received the data you need
    {
        // $session = json_decode($_GET['session'], true, 512, JSON_BIGINT_AS_STRING); // this will work after php 5.3
 
        // this way it will work for older php versions
        $session = trim($_GET['session'], '{}');
        $parts = explode(',', $session);
		$auth_token = '';
 
        foreach ($parts as $key=>$value) // extract the needed values from this array
        {
            $tmp = explode(':', $value);
            $var_name = trim($tmp[0], '"');
            $var_val = trim($tmp[1], '"');
            if ('secret' == $var_name)
            {
                $auth_token = $var_val;
            }
			if ('uid' == $var_name)
			{
				 $uid = $var_val;
			}
        }
 
        $user = filter_var($_GET['user'], FILTER_SANITIZE_STRING);
		$auth_token = filter_var($auth_token, FILTER_SANITIZE_STRING);
		$uid = filter_var($uid, FILTER_SANITIZE_STRING);
 
        $query = '
                    DELETE FROM
                        '.TABLE_PREFIX.'fb_users
                    WHERE
                        fb_user_username = :username
 
        '; // delete old (maybe deprecated) user info
        $stmt = $dbh->prepare($query);
 
        try
        {
            $stmt->bindParam(':username', $user);
            $stmt->execute();
        }
        catch(PDOException $e)
        {
		  echo $query;
		  echo $e->getMessage();
        }
 
        // save the new info
        $query = '
                    INSERT INTO
                        '.TABLE_PREFIX.'fb_users
                    SET
                        fb_user_username = :fb_user_username,
                        fb_user_uid = :fb_user_uid,
                        fb_user_auth_token = :fb_user_auth_token
        ';
        $stmt = $dbh->prepare($query);
 
        try
        {
            $stmt->bindParam(':fb_user_username', $user);
            $stmt->bindParam(':fb_user_auth_token', $auth_token);
            $stmt->bindParam(':fb_user_uid', $uid);
            $stmt->execute();
        }
        catch(PDOException $e)
        {
		  echo $query;
		  echo $e->getMessage();
        }
    }

	
	echo 'Now you are done. Go back where you hosted this script and enter the username again.';// this will show up on fb
?>