<?php
	require_once('config.php');
	if (isset($_GET['new_user']))
	{
		unset($_SESSION['fb_user']);
		header('Location: index.php');
		die;
	}
	
	if (!isset($_SESSION['fb_user']))
	{
	
		if (isset($_POST['username']) && !empty($_POST['username']))
		{
		
			$username = filter_input(INPUT_POST, 'username', FILTER_SANITIZE_STRING); 
			
			
			// check if you entered this username already
			$query = '
						SELECT 
							* 
						FROM 
							' . TABLE_PREFIX . 'fb_users 
						WHERE 
							fb_user_username = :username 
			';
			
			
			$stmt = $dbh->prepare($query);
			
			try
			{
				$stmt->bindParam(':username', $username);
				$stmt->execute();
			}
			catch(PDOException $e)
			{
				echo 'Error: ' . $e->getMessage();
				die;
			}
			
			$info  = $stmt->fetch(PDO::FETCH_ASSOC);
			
			if (!empty($info))
			{
				$_SESSION['fb_user'] = $info;
				header('Location: index.php');
				die;
			}
			
			header('Location: get_fb_approval.php?user=' . $_POST['username']);
			die;
		}
		?>
		

		
		<form action="" method="post">
			facebook username: <input type="text" name="username" /> (the username you use to login. most likely your email address)<br />
			<input type="submit" name="submitBtn" value="Go" />
		</form>
		
		
		
		<?php 
	}
	else 
	{
	
		if (isset($_POST['newStatus']))
		{
			if (isset($_POST['newStatus']))
			{
				$facebook = new Facebook(FB_APIKEY, FB_SECRET);
				$facebook->api_client->session_key = $facebook->do_get_session($_SESSION['fb_user']['fb_user_auth_token']);
				try
				{
					$facebook->api_client->users_setStatus($message, $_SESSION['fb_user']['fb_user_uid']);
				}
				catch(Exception $e)
				{
					echo 'SOMETHING WENT WRONG!!!<br /><br /><br />';die;
				}
				echo 'FB STATUS UPDATED!!!<br /><br /><br />';
			}
		}
	
		?>
		
		

		<form action="" method="post">
			new status: <input type="text" name="newStatus" /> (do not use the same status twice, it will not show up on fb)<br />
			<input type="submit" name="submitBtn" value="Go" /><br />
			<a href="index.php?new_user=1">test for new user</a>
		</form>
		<?php 
	}

?>